var scriptName = "SelfCrash";
var scriptVersion = 1.0;
var scriptAuthor = "Soulplexis";


function RealBob() {
	var text1 = value.createText("Are you sure you want to crash the game?", "Click the boolean below.");
    var Lock1 = value.createBoolean("Yes", false);
	var text2 = value.createText("Are you REALLY sure?", "Click below if you are");
	var Lock2 = value.createBoolean("Confirm (Crashes the game!)",false)
    this.getName = function () {
        return "Crash";
    };

    this.getDescription = function () {
        return "Crashes the game (Seriously).";
    };

    this.getCategory = function () {
        return "Exploit";
    };
    this.onMotion = function () {
		if(Lock1.get() && Lock2.get()) {
			mc.thePlayer = null;
			Lock1.set(false);
			Lock2.set(false);
		}
    } 
    this.onDisable = function() {
		
    }
    
    this.onEnable = function() {
		chat.print("§4[§cCrasher§4] Go under the Crash module's settings in the clickGUI to confirm crash.");
    }

    this.addValues = function(values) {
        values.add(text1);
		values.add(Lock1);
		values.add(text2);
		values.add(Lock2);
    }
}
var RealBob = new RealBob();
var RealBobClient;

function onEnable() {
    RealBobClient = moduleManager.registerModule(RealBob);
};

function onDisable() {
    moduleManager.unregisterModule(RealBobClient);
};